Gyoto::Screen::RepeatAngle Class Reference

1D specifier for an angle that is repeated. More...

`#include <GyotoScreen.h>`

Inheritance diagram for Gyoto::Screen::RepeatAngle:

## Public Member Functions

| RepeatAngle (double val, size_t sz)
void | begin ()
| Reset specifier to point to the first value.
bool | valid ()
| True if pointing to something, false if end has been reached.
size_t | size ()
| Number of values in this container.
Coord1dSet & | operator++ ()
| Increment iterator (point to next value).
double | angle () const
| Get double value currently pointed to.
virtual size_t | index () const
| Get index of value currently pointed to.
virtual size_t | operator* () const
| Get size_t value currently pointed to.

## Public Attributes

const CoordType_e | kind
| Whether this specifier represents angles or pixels.

## Protected Attributes

double const | val_
size_t const | sz_
size_t | i_

## Detailed Description

1D specifier for an angle that is repeated.

## Member Function Documentation

## angle()

double Gyoto::Screen::RepeatAngle::angle | ( |  | ) | const

virtual

Get double value currently pointed to.

Reimplemented from Gyoto::Screen::Coord1dSet.

## begin()

void Gyoto::Screen::RepeatAngle::begin | ( |  | ) |

virtual

Reset specifier to point to the first value.

Implements Gyoto::Screen::Coord1dSet.

## index()

virtual size_t Gyoto::Screen::RepeatAngle::index | ( |  | ) | const

virtual

Get index of value currently pointed to.

Starts at 0 and is implemented each time operator++ is called. Depending on the implementation, this may be a real index or computed on demand.

Implements Gyoto::Screen::Coord1dSet.

## operator*()

virtual size_t Gyoto::Screen::Coord1dSet::operator* | ( |  | ) | const

virtual inherited

Get size_t value currently pointed to.

Reimplemented in Gyoto::Screen::Indices, and Gyoto::Screen::Range.

## operator++()

Coord1dSet & Gyoto::Screen::RepeatAngle::operator++ | ( |  | ) |

virtual

Increment iterator (point to next value).

Implements Gyoto::Screen::Coord1dSet.

## size()

size_t Gyoto::Screen::RepeatAngle::size | ( |  | ) |

virtual

Number of values in this container.

Implements Gyoto::Screen::Coord1dSet.

## valid()

bool Gyoto::Screen::RepeatAngle::valid | ( |  | ) |

virtual

True if pointing to something, false if end has been reached.

Implements Gyoto::Screen::Coord1dSet.

The documentation for this class was generated from the following file:

- GyotoScreen.h